Get a skeleton of a feed provided by a feed generator. Auth is optional, depending on provider requirements, and provides the DID of the requester. Implemented by Feed Generator Service.
GET
/xrpc/app.bsky.feed.getFeedSkeleton
const url = 'https://example.com/xrpc/app.bsky.feed.getFeedSkeleton?feed=https%3A%2F%2Fexample.com&limit=50';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/xrpc/app.bsky.feed.getFeedSkeleton?feed=https%3A%2F%2Fexample.com&limit=50'Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”feed
required
Reference to feed generator record describing the specific feed being requested.
string format: uri
Reference to feed generator record describing the specific feed being requested.
limit
integer
cursor
string
Responses
Section titled “Responses”Success
Media typeapplication/json
object
feed
required
reqId
Unique identifier per request that may be passed back alongside interactions.
string
cursor
string
Example generated
{ "feed": [ { "post": "https://example.com", "reason": { "repost": "https://example.com" }, "feedContext": "example" } ], "reqId": "example", "cursor": "example"}Bad Request
Media typeapplication/json
object
error
required
One of:
string
message
required
string
Example
{ "error": "UnknownFeed"}